GET /consumer/v1/availability/{serviceId}/{startDate}/{endDate}/days
Operation ID: —
Auth: unknown
Description
<p>This endpoint will return <b>Day Level Availability</b> for the range of dates requested. For example, if the business is closed, or there is a public holiday this endpoint will return that the "Day is unavailable".</p> <p>Day Availability is a high-level check for Holidays and Open/Available hours of a location, service and/or resource and should be used to restrict your choices of days available in your application to improve usability and performance.</p> <p>A <b>serviceId</b> is required. The <b>startDate</b> and <b>endDate</b> are required and are formatted as: <b>YYYY-MM-DD</b></p> <p>The locationId is optional, however if not supplied it defaults to the Primary Business Location for open/closed hours information. It is recommended you always provide the locationId.</p> <p>A <b>resourceId</b> is optional. If used the available days will be return day availability for the resource specified.</p> <p>The <b>tzOffset</b> parameter should be used if the appointment requester, the end user, is in a different timezone than the location or resource.</p>
Parameters (6)
(string, path, required)
Format YYYY-MM-DD: End Date for availability search
(string, query, optional)
Id of business location, defaults to primary business location
(string, query, optional)
Resource Id to filter on
(string, path, required)
Service Id for day availability search
(string, path, required)
Format YYYY-MM-DD: Start Date for availability search
(integer, query, optional)
Timezone offset to view availability for
No probe data for this endpoint yet.